Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Labeling
Target version: 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89)
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2232 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: label, labelling Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

"Label only when the feature is selected" option makes a persistent selection of the layer features (0, 4, 8th) to which is applied. If I
unselect all, then the same selection is applied each time the "Layer properties" window is opened.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3047: Al etiquetar se se... Closed 11/30/2014

History
#1 - 12/01/2014 09:59 AM - Álvaro Anguix
- Related to gvSIG bugs #3047: Al etiquetar se seleccionan elementos "aleatoriamente" added

#2 - 01/08/2015 10:35 AM - Antonio Falciano
Steps to reproduce it:
    -  add a whatever polygon layer and open its properties;
    -  activate the Enable labelling checkbox in the Labelling tab;
    -  General: User defined labels;
    -  Classes - Method: Label only when the feature is selected.
Result:
    -  the layer preview is enabled automatically in the view and not in its specific area (minor issue);
    -  if we close the Layer properties, clear the selection and finally reopen the Layer properties window, then three features are automatically selected
and labelled. It happens each time the "Layer properties" window is opened. The main undesired result is that the previous selection is lost.

#3 - 02/26/2015 11:27 AM - Álvaro Anguix
- Target version set to 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89)
- Status changed from New to Closed

In gvSIG 2.1 works fine
